<?php

// https://github.com/peppeocchi/php-cron-scheduler

require_once __DIR__ . "/../config/bootstrap.php";

use GO\Scheduler;

$scheduler = new Scheduler();
// -- CRON

$cronDir = __DIR__ . "/crons";
$logDir = __DIR__ . "/../storage/crontab";

if (is_dir($logDir) == false) {
    mkdir($logDir, 0775, true);
}

/**
 * Update
 */

$scheduler->php($cronDir . "/update/promos_update.php")
    ->hourly('05')
    ->output($logDir . '/catalog.log')
;

// \-- CRON

$scheduler->run();
