<?php

namespace Event;

use Commande;
use Controller\OrderController;
use GuzzleHttp\Message\Request;

class CommandeStatutEvent extends CommandeEvent
{
    const CHANGE = 'commande.statut';
    const PREPA = 'commande.statut.prepa';

    protected $statut;
    protected $newStatut;

    public function __construct(Commande $commande, $statut, $newStatut)
    {
        parent::__construct($commande);
        $this->statut = $statut;
        $this->newStatut = $newStatut;
    }

    public function getStatut()
    {
        return $this->statut;
    }

    public function getNewStatut()
    {
        return $this->newStatut;
    }
}
