<div id="conteneur_catalogform" class="catalogform-block">
    {if !empty($error)}{include file="form/flash.tpl" class="error" messages=$error}{/if}
    {if !empty($success)}{include file="form/flash.tpl" class="success" messages=$success}{/if}

    <form class="form-horizontal" method="post" name="catalogform" id="catalogform" action="{url page="catalog_post"}">
        {if !empty($post.origin)}<input type="hidden" name="origin" value="{$post.origin}"/>{/if}
        <div class="clearfix">
            <div class="form-side-left">
                <div class="form-group">
                    <label class="civilite-label">{txt value="Civilité"}* :</label>
                    <div class="radio">
                        <label class="radio-inline" for="civilite_id1">
                            <input type="radio" value="1" name="civilite_id" id="civilite_id1"/><span>{txt value="M"}</span>
                        </label>
                        <label class="radio-inline" for="civilite_id2">
                            <input type="radio" value="2" name="civilite_id" id="civilite_id2"/><span>{txt value="Mme"}</span>
                        </label>
                        <label class="radio-inline" for="civilite_id3">
                            <input type="radio" value="3" name="civilite_id" id="civilite_id3"/><span>{txt value="Mlle"}</span>
                        </label>
                    </div>
                </div>

                <div class="form-group">
                    <label for="client_nom">{txt value="Nom"}* :</label>
                    <input class="form-control" type="text" id="client_nom"
                           name="client_nom"
                           value=""/>
                </div>

                <div class="form-group">
                    <label for="client_prenom">{txt value="Prénom"}* :</label>
                    <input class="form-control" type="text" id="client_prenom"
                           name="client_prenom"
                           value=""/>
                </div>

                <div class="form-group">
                    <label for="client_societe">{txt value="Société"} :</label>
                    <input class="form-control" type="text" id="client_societe"
                           name="client_societe" value=""/>
                </div>

                <div class="form-group">
                    <label for="client_fonction">{txt value="Fonction"} :</label>
                    <input class="form-control" type="text" id="client_fonction"
                           name="client_fonction" value=""/>
                </div>

                <div class="form-group">
                    <label for="fadresse">{txt value="Adresse"}* :</label>
                    <input class="form-control" type="text" name="adresse_rue"
                           value="" id="fadresse"/>
                </div>

                <div class="form-group">
                    <label for="fcode_postal">{txt value="Code postal"}* :</label>
                    <input class="form-control" type="number"
                           name="adresse_cp" value=""
                           id="fcode_postal"/>
                </div>

                <div class="form-group">
                    <label for="fville">{txt value="Ville"}* :</label>
                    <input class="form-control" type="text" name="adresse_ville"
                           value="" id="fville"/>
                </div>

                <div class="form-group">
                    <label for="fpays">{txt value="Pays"}* :</label>
                    <select name="adresse_pays" id="fpays" class="select_mef1 form-control">
                        {foreach from=$pays item=p}
                            {html_options values=$p.pays_nom_nom selected=$post.pays_id|default:"" output=$p.pays_nom_nom}
                        {/foreach}
                    </select>
                </div>

            </div>

            <div class="form-side-right">

                <div class="form-group">
                    <label for="client_telephone">{txt value="Téléphone"} :</label>
                    <input class="form-control" type="text"
                           id="client_telephone" name="client_telephone"
                           value=""/>
                </div>

                <div class="form-group">
                    <label for="ffax">{txt value="Numéro de fax"} :</label>
                    <input class="form-control" type="text" name="client_fax" value="" id="ffax"/>
                </div>

                <div class="form-group">
                    <label for="client_email">{txt value="Adresse email"} :</label>
                    <input class="form-control" type="text"
                           id="client_email" name="client_email"
                           value="" />
                </div>

                <div class="form-group">
                    <label for="client_site">{txt value="Site Web"} :</label>
                    <input class="form-control" type="text"
                           id="client_site" name="client_website"
                           value=""/>
                </div>

                <div class="form-group client-commentaire-group">
                    <label for="client_commentaire">{txt value="Commentaire"} :</label>
                    <textarea class="form-control" id="client_commentaire"
                             name="client_commentaire"></textarea>
                </div>

                <div class="form-group submit-buttom">
                    <label>{txt value="* : champs obligatoires"}</label>
                    <input id="submit_catalog_form" type="submit" value="{txt value="Valider"}" class="btn btn-red"/><br>
                </div>
            </div>
        </div>
</div>
</form>
</div>